org.apache.tapestry5.beanvalidator.modules

## Class BeanValidatorModule

- java.lang.Object
- - org.apache.tapestry5.beanvalidator.modules.BeanValidatorModule

-     public class BeanValidatorModule
      extends java.lang.Object

  Module for JSR-303 services.
  Since:
    5.2.0.0

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BeanValidatorModule()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `bind(ServiceBinder binder)`
    `static javax.validation.Validator` | `buildBeanValidator(javax.validation.ValidatorFactory validatorFactory, PropertyShadowBuilder propertyShadowBuilder)`
    `static javax.validation.ValidatorFactory` | `buildValidatorFactory(BeanValidatorSource beanValidatorSource, PropertyShadowBuilder propertyShadowBuilder)`
    `static void` | `contributeBeanValidatorGroupSource(Configuration<java.lang.Class<?>> configuration)`
    `static void` | `contributeBeanValidatorSource(OrderedConfiguration<BeanValidatorConfigurer> configuration, ThreadLocale threadLocale)`
    `static void` | `contributeClientConstraintDescriptorSource(JavaScriptSupport javaScriptSupport, Configuration<ClientConstraintDescriptor> configuration)`
    `static void` | `contributeServiceOverride(MappedConfiguration<java.lang.Class<?>,java.lang.Object> configuration, FieldValidatorDefaultSource source)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BeanValidatorModule

          public BeanValidatorModule()

  - ### Method Detail

    - #### bind

          public static void bind(ServiceBinder binder)

    - #### contributeServiceOverride

          public static void contributeServiceOverride(MappedConfiguration<java.lang.Class<?>,java.lang.Object> configuration,
                                                       @Local
                                                       FieldValidatorDefaultSource source)

    - #### buildBeanValidator

          public static javax.validation.Validator buildBeanValidator(javax.validation.ValidatorFactory validatorFactory,
                                                                      PropertyShadowBuilder propertyShadowBuilder)

    - #### buildValidatorFactory

          public static javax.validation.ValidatorFactory buildValidatorFactory(BeanValidatorSource beanValidatorSource,
                                                                                PropertyShadowBuilder propertyShadowBuilder)

    - #### contributeBeanValidatorGroupSource

          public static void contributeBeanValidatorGroupSource(Configuration<java.lang.Class<?>> configuration)

    - #### contributeBeanValidatorSource

          public static void contributeBeanValidatorSource(OrderedConfiguration<BeanValidatorConfigurer> configuration,
                                                           ThreadLocale threadLocale)

    - #### contributeClientConstraintDescriptorSource

          public static void contributeClientConstraintDescriptorSource(JavaScriptSupport javaScriptSupport,
                                                                        Configuration<ClientConstraintDescriptor> configuration)

${project.version} - Copyright © 2003-2015 The Apache Software Foundation.